com.fasterxml.jackson.core.io.schubfach

## Class FloatToDecimal

- java.lang.Object
- - com.fasterxml.jackson.core.io.schubfach.FloatToDecimal

    public final class FloatToDecimal
    extends Object

This class exposes a method to render a `float` as a string.

### Field Summary

Fields
`static int` `MAX_CHARS`

### Method Summary

All Methods Static Methods Concrete Methods
`static Appendable` `appendTo(float v, Appendable app)` Appends the rendering of the `v` to `app`.
`static String` `toString(float v)` Returns a string representation of the `float` argument.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### MAX_CHARS

    public static final int MAX_CHARS

See Also:
  Constant Field Values

### Method Detail

#### toString

    public static String toString(float v)

Returns a string representation of the `float` argument. All characters mentioned below are ASCII characters.

Parameters:
  `v` - the `float` to be converted.
Returns:
  a string representation of the argument.
See Also:
  `Float.toString(float)`

#### appendTo

    public static Appendable appendTo(float v,
                                      Appendable app)
                               throws IOException

Appends the rendering of the `v` to `app`.

The outcome is the same as if `v` were first `rendered` and the resulting string were then `appended` to `app`.

Parameters:
  `v` - the `float` whose rendering is appended.
  `app` - the `Appendable` to append to.
Throws:
  `IOException` - If an I/O error occurs